package com.its.vms.xnettcp.vms.process.response;

import com.its.app.utils.NettyUtils;
import com.its.vms.config.CommunicationConfig;
import com.its.vms.dto.TbVmsCtlrDto;
import com.its.vms.process.DbmsDataProcess;
import io.netty.channel.ChannelHandlerContext;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class RejectResponse implements VmsResponse {
    private TbVmsCtlrDto obj;
    private ChannelHandlerContext ctx;
    private DbmsDataProcess dbmsDataProcess;

    @Override
    public boolean response(CommunicationConfig communicationConfig) {
        String ipAddress = NettyUtils.getRemoteIpAddress(this.ctx.channel());
        log.info("RejectResponse.response: {}", ipAddress);

        return true;
    }
}
